ITPub博客

首页 > Linux操作系统 > Linux操作系统 > Moblin:在不同的linux环境中的安装MIC2

Moblin:在不同的linux环境中的安装MIC2

原创 Linux操作系统 作者:Nikey001 时间:2009-05-12 15:05:25 0 删除 编辑

 这今天在新张机器(古老的P4机器,终于可以退役了,想想也丢人,搞开发沦落到这个地步……),装过Ubuntu和fedora,现在对Ubuntu8.10,Ubuntu9.04,fedora 9和fedora 10上安装MIC2做一个小结。

在Ubuntu8.10和9.04的安装MIC2

【注1】Ubuntu8.10的安装最为畅顺,但是Ubuntu社区已经不在维护8.10的版本,这意味着使用apt-get方式下载的包的版本已经封存,也不提供新包,而且在阿土的页面上已经找不到8.10的下载链接。
【注2】MIC2不能在阿土8.04的版本上安装和使用,使用8.04版本需要重装OS。影响moblin-image-creator命令。

  相关文档:请阅读http://moblin.org/documentation/moblin-image-creator-2/installation,但是请注意下面的几个问题:

  • 使用了sqlite,版本为3.6.10-1,存在bug,需要将它进行升级或者降级。如果直接在新立得的系统工具进行使用,会关联很多其他的软件包版本, 版本匹配无法通过,不推荐使用这种方式。sqlite3.6.10-1会引起yum下载问题:moblin-image-creator会报告:
  • 请 不要使用git clone git://git.moblin.org/moblin-image-creator-2,由于Intel是在fedaro上面开发,在Ubuntu上 这个会出现编译问题,请使用repo.moblin.org下专门为ubuntu8.10准备的tool下面下载mic2-0.7.tar.gz。
  • 如果mic2的编译出现问题,说明有些包没有下载,由于MIC2的说明不够详细,很难定位缺失哪个包,如果出现这种情况,可先安装clutter,当clutter成功安装之后,MIC2编译所需的包也都下载下来。
  • 对于Ubuntu8.10,安装完MIC2后,就可以正常使用,对于Ubuntu9.04,执行moblin-image-creator从moblin社区下载rpm,并制作安装介质,出现问题。可参考下面的处理:
Retrieving http://repo.moblin.org/moblin/development/core/ia32/debug/repodata/repomd.xml ...OK
Retrieving http://repo.moblin.org/moblin/development/core/ia32/os/repodata/repomd.xml ...OK
Unable to create image : Unable to download from repo : near "release": syntax error
可以下载sqlite3.5.9-x的版本,编译和安装,然后将/usr/bin和/usr/lib中有关的sqlite的link指到我们新安装的版本。这样可以下载rpm包。
如 果运行moblin-image-creator中出现 UnicodeEncodeError: 'ascii' codec can't encode characters in position 3-6: ordinal not in range(128)的错误,从错误看,估计是字体的encode问题,只需将系统的语言改为英文就可以解决。也可通过export LANG=en_US.utf8 来指定当前的字符集来处理。


在Fedora9和10安装MIC2

开始在古老的P4机器上安装F10,结果显卡老掉牙不支持,后来在新的机器安装,使用ati显卡,结果太新也不支持,郁闷。安装fedora 10的过程中如果出现显示的问题,说明不适配显卡驱动,例如太老的显卡和太新的显卡,可以在安装进入类grub菜单按tab,然后在环境选择那里加上 linux xdriver=vesa,表明使用fedora的vesa这个通用显卡驱动,安装好系统后,可以再安装专门的驱动。

安装步骤,请同步详细阅读http://moblin.org/documentation/moblin-image-creator-2 /installation。根据文档步骤安装好MIC2,如果我们在为了使得moblin-image-creator正常运行,需确保系统已经安装 pykickstart,这moblin的网站可以下载src,但是直接通过yum获取更方便。可能还需要安装python-iniparse。

我的F10,使用中文作为系统语言,和阿土9.04类似,出现:File "/usr/share/yum-cli/callback.py", line 196, in callback UnicodeEncodeError: 'ascii' codec……的错误,将系统的语言改为英文可以解决。

OK,获得MIC2,也获得了moblin的开发环境。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/21255398/viewspace-594842/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2009-05-12

  • 博文量
    37
  • 访问量
    35013